function GetCookie (name){
var arg  = name + "=";
var alen = arg.length;
var clen = document.cookie.length;
var i    = 0;
while (i < clen)
{
var j = i + alen;
if (document.cookie.substring(i, j) == arg)
return getCookieVal (j);
i = document.cookie.indexOf(" ", i) + 1;
if (i == 0) break;
}
return null;
}

function getCookieVal( offset ){
var endstr = document.cookie.indexOf (';', offset);
if (endstr == -1)
endstr = document.cookie.length;
return unescape(document.cookie.substring(offset, endstr));
}

function SetCookie( name, value ){
var argv    = SetCookie.arguments;
var argc    = SetCookie.arguments.length;
var expires = (argc > 2) ? argv[2] : null;
var path    = (argc > 3) ? argv[3] : null;
var domain  = (argc > 4) ? argv[4] : null;
var secure  = (argc > 5) ? argv[5] : false;
document.cookie =
name + '=' + escape (value) +
((expires == null) ? '' : ('; expires=' + expires.toGMTString())) +
((path == null) ? '' : ('; path=' + path)) +
((domain == null) ? '' : ('; domain=' + domain)) +
((secure == true) ? '; secure' : '');
}

function DeleteCookie (name){
var exp  = new Date();
var cval = GetCookie (name);
exp.setTime (exp.getTime() - 1);  // This cookie is history
document.cookie = name + '=' + cval + '; expires=' + exp.toGMTString();
}

$(document).ready(function(){
	$('.menuItem').each(function(){
		if ( GetCookie( $(this).attr("id") ) != "1" ) {
			$(this).css( "list-style-image", "url(/icons/vwicn002.gif)" );
			$(this).children("ul").css( "display", "none" );
		}
		else
			$(this).css( "list-style-image", "url(/pics/collapse.gif)" );
	});
	$('.menuItem').filter(function (index) {
			return GetCookie( $(this).attr("id") ) != "1";
		}).children("span").toggle(function(){
		$(this).next().show();
		SetCookie( $(this).parent().attr("id"), "1" );
		$(this).parent().css( "list-style-image", "url(/pics/collapse.gif)" );
	}, function(){
		$(this).next().hide();
		SetCookie( $(this).parent().attr("id"), "0" );
		$(this).parent().css( "list-style-image", "url(/icons/vwicn002.gif)" );
  	});
	$('.menuItem').filter(function (index) {
			return GetCookie( $(this).attr("id") ) == "1";
		}).children("span").toggle(function(){
		$(this).next().hide();
		SetCookie( $(this).parent().attr("id"), "0" );
		$(this).parent().css( "list-style-image", "url(/icons/vwicn002.gif)" );
	}, function(){
		$(this).next().show();
		SetCookie( $(this).parent().attr("id"), "1" );
		$(this).parent().css( "list-style-image", "url(/pics/collapse.gif)" );
  	});
	$('.menu').css( "display", "block" );
	$('.banner').fadeTo("fast", 0.33);
	$('.banner').mouseover(function(){
		$(this).fadeTo("fast", 1);}).mouseout(function(){
		$(this).fadeTo("slow", 0.33);});
});
